version 10.1
clear all
set more off
se memory 400m
set matsize 800
       
*cd "D:\CUSTOMIZE PATH\"
capture log close
log using JAE_TableA6.log, text replace

use "D:\CUSTOMIZE PATH\JAE_TableA6.dta"

cd "D:\CUSTOMIZE PATH\"

set scrollbufsize 50000

*#delimit;


*********************************************************************************************************************************************
*****************************************TABLE A6: LABOR FORCE TRANSITIONS: PRIVATE VS. OTHER SECTORS**********************************************
*********************************************************************************************************************************************

des Privatesector Privatesectorly Controlgroup Controlgrouply posttreat WorkUnemp UnempWork t1998 t1999 t2000 

gen Privatesector_post=Privatesector*posttreat
gen Controlgroup_post=Controlgroup*posttreat

gen Privatesectorly_post=Privatesectorly*posttreat
gen Controlgrouply_post=Controlgrouply*posttreat

tabstat WorkUnemp  UnempWork , by(posttreat) stat(mean sd min max)

***

sort posttreat
by posttreat: tab WorkUnemp Privatesectorly, col row
by posttreat: tab WorkUnemp Controlgrouply, col row

reg WorkUnemp  Privatesectorly_post Controlgrouply_post Privatesectorly Controlgrouply t1998 t1999 t2000 
test Privatesectorly_post=Controlgrouply_post

***

sort posttreat
by posttreat: tab UnempWork Privatesector, col row
by posttreat: tab UnempWork Controlgroup, col row

reg UnempWork Privatesector_post Controlgroup_post Privatesector Controlgroup t1998 t1999 t2000 
test Privatesector_post=Controlgroup_post

***


log close 
